<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgProductos.bcProductoCrear}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
			#{beanProducto.resetearObjeto()}
			<p:breadCrumb>
				<p:menuitem value="#{msgProductos.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgProductos.bcProducto}" url="#" />
				<p:menuitem value="#{msgProductos.bcProductoCrear}"
					url="${request.contextPath}/productos/crear.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />

			<div class="card"><p:tabView>
				<p:tab title="#{msgProductos.tabProducto}">
					<p:panelGrid id="panel" style="width: 80%;">
						<f:facet name="header">
							<p:row>
								<p:column colspan="2">
									<p:outputLabel>#{msgProductos.tituloCrear}</p:outputLabel>
								</p:column>
							</p:row>
						</f:facet>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="nombreProducto"
									value="#{msgProductos.nombreProducto}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="nombreProducto"
									value="#{beanProducto.objProducto.nombreProducto}"
									required="true" style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgProductos.nombreProductoRequerido}" />
								<p:message for="nombreProducto" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="descripcion"
									value="#{msgProductos.descripcion}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="descripcion"
									value="#{beanProducto.objProducto.descripcion}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgProductos.descripcionRequerido}" />
								<p:message for="descripcion" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="iva" value="#{msgProductos.iva}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputNumber id="iva" value="#{beanProducto.objProducto.iva}"
									required="true" style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgProductos.ivaRequerido}" />
								<p:message for="iva" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="referencia"
									value="#{msgProductos.referencia}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:inputText id="referencia"
									value="#{beanProducto.objProducto.referencia}" required="true"
									style="width: 50%; line-height: 20px;"
									requiredMessage="#{msgProductos.referenciaRequerido}" />
								<p:message for="referencia" style="width: 40%;" />
							</p:column>
						</p:row>

						<p:row>
							<p:column style="width: 20%;">
								<h:outputLabel for="categoria" value="#{msgProductos.categoria}" />
							</p:column>

							<p:column style="width: 80%;'">
								<p:selectOneMenu id="categoria"
									value="#{beanProducto.objProducto.categoria.idCategoria}"
									style="width: 50%; line-height: 20px;" required="true"
									requiredMessage="#{msgProductos.categoriaRequerido}">
									<f:selectItem itemLabel="#{msgProductos.selectCategoriaEmpty}"
										itemValue="#{null}" />
									<f:selectItems value="#{beanCategoria.getListadoCategorias()}"
										var="categoria" itemLabel="#{categoria.nombreCategoria}"
										itemValue="#{categoria.idCategoria}" />
								</p:selectOneMenu>
								<p:message for="categoria" style="width: 40%;" />
							</p:column>
						</p:row>

						<f:facet name="footer">

							<p:row>
								<p:column style="width: 20%;">
								</p:column>

								<p:column style="width: 80%;">
									<p:commandButton value="#{msgProductos.btnCrear}" ajax="false"
										update="panel messages" action="#{beanProducto.btnCrear()}" />
								</p:column>
							</p:row>

						</f:facet>

					</p:panelGrid>

				</p:tab>
				
				
				<p:tab title="#{msgProductos.tabPrecios}" disabled="true">
				</p:tab>
				
				<p:tab title="#{msgProductos.tabImagenes}" disabled="true">
				</p:tab>
				
			</p:tabView> </div>

		</h:form>

	</ui:define>

</ui:composition>